
#import	<appkit/View.h>
#import	<appkit/graphics.h>
 
/**********************************************************************/

#define	MAXCIRCLES	( 225 )

#define	MAXCOLOR	( 1.0 )
#define	MINCOLOR	( 0.0 )
#define	COLORINC	( 0.1 )

/**********************************************************************/

typedef	struct
	{
		int	x;
		int	y;
		int	r;
	}
	CIRCLE;

/**********************************************************************/

@interface TanCircleView : View
{
	CIRCLE	Circles[ MAXCIRCLES ];
	int		CurCircle;
	float	CurColor;
	int		MaxRadius;
	int		Radius;
	int		Max_X;
	int		Max_Y;
	int		X_pos;
	int		Y_pos;
}

/*********************************************************************/

- initFrame  : ( const NXRect * ) frameRect;

- ( const char * ) windowTitle;

- sizeTo : ( NXCoord ) width : ( NXCoord ) height;

- oneStep;

- drawSelf : ( NXRect * ) r : ( int ) count;

- ( int ) distance : ( int ) x : ( int ) y : ( int ) i;

- ( int ) newRadius : ( int ) x : ( int ) y;

- genFirstCircle;

@end
